The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WARNING: ClamAV 0.94.2 is OUTDATED

Discussion in 'cPanel Developers' started by McPhil, Mar 31, 2009.

  1. McPhil

    McPhil Active Member

    Joined:
    Sep 20, 2007
    Messages:
    26
    Likes Received:
    0
    Trophy Points:
    1
    Hi we get this warning a few times each day for the last couple of days:

    Last ClamAV update process started at Mon Mar 30 17:13:44 2009

    Last Status:
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.94.2 Recommended version: 0.95
    main.cld is up to date (version: 50, sigs: 500667, f-level: 38, builder: sven)
    daily.cld is up to date (version: 9180, sigs: 37728, f-level: 41, builder: guitar)

    Does anyone know when WHM will install the new version? We are using the automatic Current branch and WHM is still using outdated ClamAV. It seems important because of April 1 with all the new virus alerts going out?
     
  2. Oldiesmann

    Oldiesmann Active Member

    Joined:
    Dec 30, 2008
    Messages:
    27
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Cincinnati, Ohio, USA
    It's fairly easy to upgrade it yourself. I did it yesterday because I was tired of waiting for the new version to be included in the upgrades...

    Here's what you do (slightly modified version of http://forums.knownhost.com/showthread.php?p=4540):

    First, download the latest version from Sourceforge:

    Code:
    wget http://downloads.sourceforge.net/clamav/clamav-0.95.tar.gz
    Extract it and move into that directory:
    Code:
    tar -xzf clamav-*
    cd clamav*
    Compile:
    Code:
    ./configure --prefix=/usr
    make
    make install
    Comment out examples in the config files:
    Code:
    replace "Example" "#Example" -- /usr/etc/freshclam.conf
    replace "Example" "#Example" -- /usr/etc/clamd.conf
    Get the new virus definitions:
    Code:
    freshclam
    Then just make sure you have the latest version of the ClamAV scanner if you're using it (this can be done from the "Manage Plugins" screen in the cPanel section of WHM).
     
  3. jshanley

    jshanley Member

    Joined:
    Jul 1, 2003
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Configure options

    Hi,

    Just a quick update for those that may find this thread later.
    It's important to specify the sysconfdir option so you don't get configurations installed to /usr/etc, and similar issues.

    if [ -d "/usr/lib64" ]; then libdir="--libdir=/usr/lib64" ; fi ; ./configure --prefix=/usr $libdir --sysconfdir=/etc --disable-ipv6 --disable-zlib-vcheck
     
  4. encikacop

    encikacop Member

    Joined:
    Jun 29, 2007
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    So as conclusion, you can run below scripts to update Clam AV. Please change the version on the wget line if you want to update.

    Code:
    cd /usr/local/src
    rm -Rf clamav-*
    wget http://biznetnetworks.dl.sourceforge.net/sourceforge/clamav/clamav-0.95.2.tar.gz
    tar -xzf clamav-*
    cd clamav-*
    if [ -d "/usr/lib64" ]; then libdir="--libdir=/usr/lib64" ; fi ; ./configure --prefix=/usr $libdir --sysconfdir=/etc --disable-ipv6 --disable-zlib-vcheck
    make
    make install
    freshclam
    echo "ClamAV update complete!"
     
  5. upsforum

    upsforum Well-Known Member

    Joined:
    Jul 27, 2005
    Messages:
    446
    Likes Received:
    0
    Trophy Points:
    16
    I updated clamav like above but I get same error:

    ClamAV update process started at Tue Jul 7 09:55:38 2009
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.91 Recommended version: 0.95.2
    DON'T PANIC! Read Clam AntiVirus
    main.inc is up to date (version: 51, sigs: 545035, f-level: 42, builder: sven)
    daily.cvd is up to date (version: 9539, sigs: 38484, f-level: 43, builder: neo)
     
  6. asiams

    asiams Well-Known Member

    Joined:
    May 28, 2003
    Messages:
    89
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Hokkaido, JAPAN
    Same Here

    I have updated as this thread shows, but I also get the same error messages regardless of the update.

    Yes, I have updated Clamavconnector from WHM.

    Upgraded to 0.95.3, but still somehow the clamav scans with old version.

    Where should I correct in order for Clamav to search with new version?

    Thanks.
     
  7. asiams

    asiams Well-Known Member

    Joined:
    May 28, 2003
    Messages:
    89
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Hokkaido, JAPAN
    Further Info

    here is my version installed:

    root@server24 [/usr/local/cpanel/modules-install]# clamd -V
    ClamAV 0.95.3/10540/Wed Mar 10 02:58:43 2010

    So the update was done properly?

    Any idea?

    thanks.
     
  8. asiams

    asiams Well-Known Member

    Joined:
    May 28, 2003
    Messages:
    89
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Hokkaido, JAPAN
    two copies of clamd?

    It seems that there are two copies of clamav installed.

    How can I safely uninstall the old one?

    root@server24 [/usr/local/src/clamav-0.95.3]# ldd 'which freshclam'
    ldd: ./which freshclam: No such file or directory

    root@server24 [/usr/local/src/clamav-0.95.3]# whereis freshclam
    freshclam: /usr/bin/freshclam /etc/freshclam.conf /usr/local/bin/freshclam /usr/man/man1/freshclam.1 /usr/share/man/man1/freshclam.1

    When logwatch ran, here is the result:

    --------------------- clam-update Begin ------------------------

    The ClamAV update process was started 2 time(s)

    Last ClamAV update process started at Wed Mar 12 00:31:31 2008

    Last Status:
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.91.2 Recommended version: 0.92.1
    DON'T PANIC! Read Clam AntiVirus

    --------------------------------------------------------------------

    Any suggestions?

    Thanks.
     

Share This Page